#
#   - PGPLOT -
#   This spec file was automatically generated by cpan2rpm [ver: 2.028]
#   The following arguments were used:
#       --release=2.fc5_tep PGPLOT
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define pkgname PGPLOT
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}
%define maketest 1

Name:      perl-PGPLOT
Summary:   PGPLOT - allow subroutines in the PGPLOT graphics library to be called from Perl.
Version:   2.21
Release:   1%{?dist}
# Vendor:    kgb@cpan.org
# Packager:  Arix International <cpan2rpm@arix.com>
License:   Artistic
Group:     Applications/CPAN
Url:       http://www.cpan.org
Buildroot: %{_tmppath}/%{name}-%{version}-%(id -u -n)
# Prefix:    %%(echo %%{_prefix})
Source:    http://search.cpan.org//CPAN/authors/id/K/KG/KGB/PGPLOT-%{version}.tar.gz
Patch:     PGPLOT.patch
BuildRequires: perl, perl(ExtUtils::MakeMaker), perl(ExtUtils::F77), pgplot
BuildRequires: libX11-devel, libpng-devel, compat-libf2c-34, pgplot-devel

%description
Originally developed in the olden days of Perl4 (when it was known
as 'pgperl' due to the necessity of making a special perl executable)
PGPLOT is now a dynamically loadable perl module which interfaces
to the FORTRAN graphics library of the same name.

PGPLOT, originally developed as a FORTRAN library, is now available with
C bindings (which the Perl module uses), though a FORTRAN compiler is
still required to build it.

For every PGPLOT C/FORTRAN function the module provides an equivalent
Perl function with the same arguments. Thus the user of the module should
refer to the PGPLOT manual to learn all about how to use PGPLOT and for
the complete list of available functions.  This manual comes with the
PGPLOT distribution and is also available at the WWW address:

http://astro.caltech.edu/~tjp/pgplot/

Also refer to the extensive set of test scripts ("test*.p") included
in the module distribution for examples of usage of all kinds of
PGPLOT routines.

How the FORTRAN/C function calls map on to Perl calls is detailed below.

#
# This package was generated automatically with the cpan2rpm
# utility.  To get this software or for more information
# please visit: http://perl.arix.com/
#

%prep
%setup -q -n %{pkgname}-%{version} 
%patch -p1
chmod -R u+w %{_builddir}/%{pkgname}-%{version}

%build
# need to fix compat-libf2c-34 somehow!
# ln -fs libg2c.so.0 %{_libdir}/libg2c.so
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
# %%{__perl} Makefile.PL `%%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%%{buildroot}%%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '`
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| '`
%{__make} 
%if %maketest
%{__make} test
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# %%{makeinstall} `%%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%%{buildroot}%%{_prefix}| : qq|DESTDIR=%%{buildroot}| '`
%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| '`

cmd=/usr/share/spec-helper/compress_files
[ -x $cmd ] || cmd=/usr/lib/rpm/brp-compress
[ -x $cmd ] && $cmd

# SuSE Linux
if [ -e /etc/SuSE-release -o -e /etc/UnitedLinux-release ]
then
    %{__mkdir_p} %{buildroot}/var/adm/perl-modules
    %{__cat} `find %{buildroot} -name "perllocal.pod"`  \
        | %{__sed} -e s+%{buildroot}++g                 \
        > %{buildroot}/var/adm/perl-modules/%{name}
fi

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

%{__perl} -MFile::Find -le '
    find({ wanted => \&wanted, no_chdir => 1}, "%{buildroot}");
    print "%doc  CHANGES LICENSE README";
    for my $x (sort @dirs, @files) {
        push @ret, $x unless indirs($x);
        }
    print join "\n", sort @ret;

    sub wanted {
        return if /auto$/;

        local $_ = $File::Find::name;
        my $f = $_; s|^\Q%{buildroot}\E||;
        return unless length;
        return $files[@files] = $_ if -f $f;

        $d = $_;
        /\Q$d\E/ && return for reverse sort @INC;
        $d =~ /\Q$_\E/ && return
            for qw|/etc %_prefix/man %_prefix/bin %_prefix/share|;

        $dirs[@dirs] = $_;
        }

    sub indirs {
        my $x = shift;
        $x =~ /^\Q$_\E\// && $x ne $_ && return 1 for @dirs;
        }
    ' > %filelist

[ -z %filelist ] && {
    echo "ERROR: empty %files listing"
    exit -1
    }

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %filelist
%defattr(-,root,root)

%changelog
* Sat Jun 23 2012 J. Randall Owens <jrowens@ghiapet.net> - 2.21-1
- update to 2.21
- rebuild for GhiaPet/Fedora 17

* Mon Jan 18 2010 J. Randall Owens <jrowens@ghiapet.net> - 2.20-5
- attempt to get files out of /usr/local

* Wed Dec 30 2009 J. Randall Owens <jrowens@ghiapet.net> - 2.20-4
- attempting to rebuild for FC11

* Mon Aug 13 2007 tim@mmto.org
- update to 2.20

* Fri May 12 2006 tim@caliente.mmto.arizona.edu
- Initial build.
